%define prefix /usr
%define name JMencode
%define version 0.64
%define release %mkrel 2
%define url http://sourceforge.net/projects/jmencode/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MIT
Group:		Video
URL:		%{url}
Source:		%{name}_v%{version}.zip
Summary:	A simple java front-end for the free MPlayer/Mencoder software
Summary(de):	Einfaches Java-Frontend für die freie MPlayer/MEncoder Software
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	unzip
Requires:	java >= 1.5 
Requires:	mencoder 
Requires:	mplayer 
Requires:	mkvtoolnix 
Requires:	gpac
Obsoletes:	%name < %version

%description
A simple java front-end for the free MPlayer/Mencoder software, for
the purpose of encoding video.

Initially the focus is on converting DVD into MPEG-4. The purpose is
to be as cross-platform as possible.
The generated mencoder command can be transmitted to the Command Line
with "copy and paste".

#german
%description -l de
Ein einfaches Java-Frontend für die freie MPlayer/MEncoder Software, für
die Vereinfachung der Video-Codierung.
Der generierte Mencoder Befehl kann in die Kommandozeile übertragen werden 
mit "kopieren und einfügen".

%prep

%setup -c -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT


mkdir -p %{buildroot}%{_datadir}/%{name}
install  -m 0755 $RPM_BUILD_DIR/%{name}-%{version}/JMEncode.jar %{buildroot}%{_datadir}/%{name}/JMEncode.jar
mkdir -p %{buildroot}%{_datadir}/%{name}/lib
install -m 0755 $RPM_BUILD_DIR/%{name}-%{version}/lib/swing-layout-1.0.1.jar %{buildroot}%{_datadir}/%{name}/lib/swing-layout-1.0.1.jar
mkdir -p %{buildroot}%{_iconsdir}
install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/icon.png %{buildroot}%{_iconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Name[de]=%{name}
GenericName=jMencode
GenericName[de]=jMencode
Comment=%{summary}
Comment[de]=Einfaches Java-Frontend für die freie MPlayer/MEncoder Software
Exec=java -jar %{_datadir}/%{name}/JMEncode.jar
Icon=%{name}.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Video;
Encoding=UTF-8
EOF




%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/JMEncode.jar
%{_datadir}/%{name}/lib/swing-layout-1.0.1.jar
%{_iconsdir}/%{name}.png
%doc License.txt README.TXT current-changelog.txt

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Tue Jul 12 2016 piratejumbo <beppejumbo72@gmail.com> 1.0.4-1uplos2016
- rebuild

* Sat Oct 10 2011 Archie <pclinuxos.ph at gmail.com> 0.64-2pclos2011
- Rebuild for x86_64

* Sat May 29 2010 leiche <meisssw01 at aol.com> 0.64-1pclos2010
- import to pclinuxos